<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="_9BZ1sEvVEeiD6o8-tlgjlw" name="CartesianToJointSpaceMapperCompdef">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_9orREEvVEeiD6o8-tlgjlw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_LviigPP-EemjmZqBFQuTNw">
      <importedPackage xmi:type="uml:Model" href="../services/basic.servicedef.uml#_9BZ1sEvVEeiD6o8-tlgjlw"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="_sUKOwLJ_Eei-3KGQRKLeMQ" name="CartesianToJointSpaceMapper">
      <ownedAttribute xmi:type="uml:Port" xmi:id="_XxfyMLXQEeiH6Ko6HOOVWw" name="DesiredPose3d" type="_XxxfALXQEeiH6Ko6HOOVWw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_zHJ7wLXQEeiH6Ko6HOOVWw" name="MeasuredJointState" type="_zHONMLXQEeiH6Ko6HOOVWw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_DvlGkLXREeiH6Ko6HOOVWw" name="ReferenceJointState" type="_Dvp_ELXREeiH6Ko6HOOVWw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_QdLakLXREeiH6Ko6HOOVWw" name="ComputeIK" type="_QdOd4LXREeiH6Ko6HOOVWw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_rk94cPP9EemjmZqBFQuTNw" name="activity1"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_wUQ5IPP9EemjmZqBFQuTNw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_XxxfALXQEeiH6Ko6HOOVWw" name="TrajectoryPose3dCS"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_zHONMLXQEeiH6Ko6HOOVWw" name="JointAngleStateCS"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_Dvp_ELXREeiH6Ko6HOOVWw" name="ReferenceJointStateCS">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_Wxw50PP-EemjmZqBFQuTNw" client="_Dvp_ELXREeiH6Ko6HOOVWw">
          <supplier xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_1CnPALBCEei3oP7IwGfT7w"/>
          <contract xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_1CnPALBCEei3oP7IwGfT7w"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_QdOd4LXREeiH6Ko6HOOVWw" name="CSforCartesianToJointMapper"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_LwIYYPP-EemjmZqBFQuTNw" client="_XxxfALXQEeiH6Ko6HOOVWw">
      <supplier xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_IgcbILJ8Eei-3KGQRKLeMQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_RaeFAPP-EemjmZqBFQuTNw" client="_zHONMLXQEeiH6Ko6HOOVWw">
      <supplier xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_1CnPALBCEei3oP7IwGfT7w"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_b0qzAPP-EemjmZqBFQuTNw" client="_QdOd4LXREeiH6Ko6HOOVWw">
      <supplier xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_bAhL4K-OEei3oP7IwGfT7w"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9KoqMEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9Kp4UEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lSl4EvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lTM8EvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lT0AEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lUbEEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lUbEUvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lVCIEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lVpMEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lVpMUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lWQQEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lWQQUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lW3UEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lW3UUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lW3UkvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lXeYEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lXeYUvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lXeYkvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lYFcEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lYFcUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_FGXKoEvWEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_FGZm4EvWEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_kFbggEv6Eei_HNVi8DieOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_kFo74Ev6Eei_HNVi8DieOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_LW6KkLJ_Eei-3KGQRKLeMQ" base_Package="_9BZ1sEvVEeiD6o8-tlgjlw"/>
  <robotics.components:ComponentDefinition xmi:id="_sUTYsLJ_Eei-3KGQRKLeMQ" base_Class="_sUKOwLJ_Eei-3KGQRKLeMQ"/>
  <robotics.components:ComponentService xmi:id="_Xx2XgLXQEeiH6Ko6HOOVWw" base_Class="_XxxfALXQEeiH6Ko6HOOVWw"/>
  <robotics.components:ComponentPort xmi:id="_Xyhs8LXQEeiH6Ko6HOOVWw" base_Port="_XxfyMLXQEeiH6Ko6HOOVWw"/>
  <robotics.components:ComponentService xmi:id="_zHR3kLXQEeiH6Ko6HOOVWw" base_Class="_zHONMLXQEeiH6Ko6HOOVWw"/>
  <robotics.components:ComponentPort xmi:id="_zIFI0LXQEeiH6Ko6HOOVWw" base_Port="_zHJ7wLXQEeiH6Ko6HOOVWw"/>
  <robotics.components:ComponentService xmi:id="_DvtpcLXREeiH6Ko6HOOVWw" base_Class="_Dvp_ELXREeiH6Ko6HOOVWw"/>
  <robotics.components:ComponentPort xmi:id="_DwTfULXREeiH6Ko6HOOVWw" base_Port="_DvlGkLXREeiH6Ko6HOOVWw"/>
  <robotics.components:ComponentService xmi:id="_QdSIQLXREeiH6Ko6HOOVWw" base_Class="_QdOd4LXREeiH6Ko6HOOVWw"/>
  <robotics.components:ComponentPort xmi:id="_Qd-EwLXREeiH6Ko6HOOVWw" base_Port="_QdLakLXREeiH6Ko6HOOVWw"/>
  <robotics.components:ActivityInstance xmi:id="_rlA7wPP9EemjmZqBFQuTNw" base_Property="_rk94cPP9EemjmZqBFQuTNw"/>
  <robotics.parameters:Parameter xmi:id="_wUVxoPP9EemjmZqBFQuTNw" base_Class="_wUQ5IPP9EemjmZqBFQuTNw"/>
</xmi:XMI>
